Skip to main content
POST
/
api
/
v1
/
notes
/
{id}
/
attachments
Add an attachment to a note.
curl --request POST \
  --url https://api.backside.app/api/v1/notes/{id}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "position": 123
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "note_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "position": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Note ID

Body

application/json
document_id
string<uuid>
required
position
integer<int32> | null

Response

201 - application/json
created_at
string<date-time>
required
document_id
string<uuid>
required
id
string<uuid>
required
note_id
string<uuid>
required
tenant_id
string<uuid>
required
position
integer<int32> | null